/* (C) 2001-2002 Andrew J. Kroll */
/* see file README for license details */
/* 
	Configure your i/o method here, add in how your system works 
	Comment out any that do not apply.
*/

#ifndef CONFIG_H_SEEN
#define CONFIG_H_SEEN
/* standard includes w/fixups */
#include <stdlib.h> 
#include <stdio.h>
#include <string.h>

/* fixups for GCC, and probably other compilers. */
#ifdef HI_TECH_C
#include <sys.h>
#include <unixio.h>
#define CONFIGFILE "0:A:TCP.RC"
#else
#include <asm/io.h>
#define inp	inb
#define outp	outb
#define CONFIGFILE "tcp.rc"
#endif

/* HARDWARE I/O */
#define HAVE_RTC 1
#define USEZ80DART 1
#define USECPM3AUX 0

/*Linux Serial "Driver" using /dev/cua and emulating "timing"*/

#define USELINUXTTYS 0

#if HAVE_RTC
#define USE_TIME 1
#else
/* 
 set this to use serial port for time calibration, 
 the number is the baud rate of the link, this is used 
 ONLY if your system lacks the time() call and if the time()
 call fails.
*/
#define USE_TIME 0
#define _CPM_SERIAL_CALIBRATION_ 9600
#endif

/* WIRE PROTOCOLS */
#define USESIMPLESLIP 1

/* Network protocols */
#define USE_TCPIP 1
#define TCP_ENABLED 1
#define UDP_ENABLED 1

/* set to 1 if your platform has a working RTC */
#define HAVE_RTC 1


/* standard packets, eats shitloads of ram tho */ 
/* #define MAXMTUMRU 1500 */
/* 256 byte packets... */
#define MAXMTUMRU 296

/* set to 0 to disable fragment handling */
#define HANDLEFRAGS 1 

#if HANDLEFRAGS
/* I hope this is enough, it might not be. */
#define BUFFERS 8
#else
/* 3 should be plenty */
#define BUFFERS 3
#endif /* HANDLEFRAGS */
/* 
Maximum data size hint. 
This value is the initial window size, 
Should be no more than MAXMTUMRU-40
The idea is to deter the sender from sending fragments, 
providing the sender has a proper stack it works...
*/
#define MAXPKTSZ (MAXMTUMRU-40)
/* max write buffer size, 384 is 3 cp/m sectors, optimal for ftp */
#define MAXTAILW 384
/* 
Max read tail size, must be atleast MAXPKTSZ,
bigger is better if you can afford it.
More encourages the remote to stream...
If you get fragments, set it to MAXPKTSZ
*/
#define MAXTAILR 3000

#define DEBUG 0

#define DEBUGSLIP 0

/* hardware timer specifics, etc */
#include "hrdware.h"

#endif /* CONFIG_H_SEEN */
