/* (C) 2001-2002 Andrew J. Kroll, Marc Santoro */
/* see file README for license details */
/* 

*/
#include <tcpvars.h>
#include <termios.h>
#include <fcntl.h>
#include "linuxser.h"
#include <sys/time.h>
#include <time.h>

#if USELINUXTTYS /* Include this code? */
#define SERIALDEVICE "/dev/ttyS0"

char HARDDRV[] = "Linux Serial Driver 0.0.2";
int serfd = 0;

int checkfd(int fd)
{
	struct timeval tv = {0, 0};
	fd_set fds;
	if(fd < 0)
		return(0);
	FD_ZERO(&fds);
	FD_SET(fd, &fds);
	select(fd+1, &fds, NULL, NULL, &tv);
	if(FD_ISSET(fd, &fds))
		return(1);
	return(0);
}

int fixgetch(void)
{
	unsigned int c=0;
	read(0, &c, 1);
	return(c);
}

int fixkbhit(void)
{
	return(checkfd(0));
}

void zapbuffers()
{
	/* don't do anything */
}

int check_in()
{
	return(checkfd(serfd));
}

int check_out()
{
	fsync(serfd);
	return(0);
}

void put_data(unsigned char c)
{
	write(serfd, &c, 1);
}

unsigned char get_data(void)
{
	unsigned char c;
	read(serfd, &c, 1);
	return(c);
}

void initializedev(void)
{
	struct termios tio;
	memset(&tio, 0, sizeof(struct termios));
	tio.c_cc[VMIN] = 1;
	tio.c_iflag = IGNPAR;
	tio.c_cflag = B9600|CS8|CRTSCTS|CLOCAL|CREAD;
	serfd = open(SERIALDEVICE, O_NOCTTY|O_RDWR);
	if(!serfd)
	{
		perror("open");
		exit(1);
	}
	put_data('M');
	put_data('E');
	put_data('E');
	put_data('P');
	tcflush(serfd, TCIFLUSH);
	tcsetattr(serfd, TCSANOW, &tio);
}
#else

void linuxser()
{
	/* Why am I here? */
}

#endif /* USELINUXEMU */


/* tell link parser who we are and where we belong

1102 libnet.lib linuxser.obj xxLIBRARYxx

*/

