/* (C) 2001-2002 Andrew J. Kroll */
/* see file README for license details */
/* socket.h */

#ifndef SOCKET_H_SEEN
#define SOCKET_H_SEEN
#include "config.h"
#include <in.h>

extern void check_sockets(void);
extern void schedulestuff(void);
#define CHECKSOKS check_sockets();
#define MAKEMEBLEED schedulestuff();
/* socket types */
#define SOCK_STREAM 1
#define SOCK_DGRAM 2
#define SOCK_RAW 3
#define SOCK_RDM 4
#define SOCK_SEQPACKET 5
#define SOCK_PACKET 10

/* retry time in seconds... lets try 10... */
#define RETRYTIME 3

#define SOKDAT 32 /* 27 + some padding to align it, also allows for future flags */

#define SOKALLOW BUFFERS

struct sockaddr {
	unsigned short	sa_family;	/* address family, AF_xxx	*/
	char 	sa_data[14];	/* 14 bytes of protocol address	*/
};

#define __SOCK_SIZE__   16              /* sizeof(struct sockaddr)	*/

struct sockaddr_in {
	unsigned short	sin_family;	/* Address family		*/
	unsigned short	sin_port;	/* Port number			*/ 
	struct in_addr	sin_addr;	/* Internet address		*/
	unsigned char	__pad[__SOCK_SIZE__ - sizeof(short int) - sizeof(unsigned short int) - sizeof(struct in_addr)];
};


extern int socket(int, int, int);
extern int sockwrite(int, void *, unsigned int);
extern int sockread(int, void *, unsigned int);
extern int sockclose(int);
extern int sockconnect(int, unsigned short, unsigned char *);
extern int connect(int, struct sockaddr_in *, int);


#endif /* SOCKET_H_SEEN */
